# selectArtifact

abstract fun selectArtifact(type: String, @Nullable extension: @Nullable String, @Nullable classifier: @Nullable String)

Adds an artifact to substitute. The first time this method is called, the original artifacts are replaced with the artifact defined by this method call. If you wish to add artifacts to the original query, you need to call getRequestedSelectors and add them using selectArtifact.

#### Parameters

type

the type of the artifact being queried

extension

the extension, defaults to the type

classifier

the classifier, defaults to null (no classifier)

abstract fun selectArtifact(selector: DependencyArtifactSelector)

Adds an artifact to substitute. This method is a convenience to re-register artifacts requested by the original dependency. In most cases, the appropriate method to call is selectArtifact